Bug 488908 - Review Request: cpptest - A portable and powerful and simple unit testing framework for C++
Review Request: cpptest - A portable and powerful and simple unit testing fr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 488512
  Show dependency treegraph
 
Reported: 2009-03-06 00:54 EST by Rakesh Pandit
Modified: 2009-05-25 17:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.0-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 14:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-03-06 00:54:14 EST
SPEC: http://rakesh.fedorapeople.org/spec/cpptest.spec
SRPM: http://rakesh.fedorapeople.org/srpm/cpptest-1.1.0-1.fc10.src.rpm

Description:
CppTest is a portable and powerful, yet simple, unit testing framework
for handling automated tests in C++. The focus lies on usability and
extendability.

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1225671
Comment 1 Michael Schwendt 2009-03-08 13:35:05 EDT
$ rpmlint cpptest-1.1.0-1.fc10.src.rpm 
cpptest.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 19)


* The pkg-config template file contains a hardcoded "/lib" in libdir. This won't work on 64-bit multi-arch platforms. Use  libdir=@libdir@  instead.


* The -devel package ought to "Requires: pkgconfig" since it places a file in %_libdir/pkgconfig/ (and there is no automatic dependency on all platforms).


* Installation of documentation is messed up (upstream dist bug).
All files in /usr/share/doc/cpptest-devel-1.1.0/images/ are included in ../html/ already. In "images/" they are misplaced and incomplete.


* The %check section runs "make check", which is a no-op. The "test" target is built already during %build. If you run "cd test && make check", the tests fail:

FailTestSuite: 2/2, 50% correct in 0.000017 seconds
CompareTestSuite: 3/3, 33% correct in 0.000009 seconds
ThrowTestSuite: 2/2, 50% correct in 0.000226 seconds
Total: 7 tests, 42% correct in 0.000252 seconds
Comment 2 Rakesh Pandit 2009-03-17 07:11:32 EDT
SPEC: http://rakesh.fedorapeople.org/spec/cpptest.spec
SRPM: http://rakesh.fedorapeople.org/srpm/cpptest-1.1.0-2.fc10.src.rpm

Fixed all issues and reported testsuite failure to upstream.
Comment 3 Michael Schwendt 2009-03-29 07:12:49 EDT
> reported testsuite failure to upstream.

What's the ticket number or URL?  I cannot find a report in upstream's tracker.

[...]

I won't approve this package as long as this tiny test-suite fails as it uses libcpptest.
Comment 4 Rakesh Pandit 2009-03-29 08:13:04 EDT
Yep .. very much test suite needs to be passed ... last to last week I seemed to have mistakenly reported in sf forum and not tracker

http://sourceforge.net/forum/forum.php?thread_id=3110665&forum_id=264814

Reported it in tracker now:
https://sourceforge.net/tracker/?func=detail&aid=2720762&group_id=77564&atid=550611

Thanks!
Comment 5 Rakesh Pandit 2009-04-13 07:25:36 EDT
Removed check section as it is not a test .. just an example.

http://rakesh.fedorapeople.org/spec/cpptest.spec
http://rakesh.fedorapeople.org/srpm/cpptest-1.1.0-3.fc10.src.rpm

Had a chat with maintainer on IRC -- that it is not a test but an example and should fail, he has updated tracker also.

http://sourceforge.net/tracker/?func=detail&atid=550611&aid=2720762&group_id=77564
Comment 6 Michael Schwendt 2009-04-13 08:40:13 EDT
Okay. That explains why the "test" target is built by default, but not run by "make check" unless one does "cd test ; make check". Reading mytest.cpp I'm convinced it's an example. Would have been nice if it tested its own test features and exceptions, oh well, ... :-)

[...]

APPROVED
Comment 7 Rakesh Pandit 2009-04-13 09:25:36 EDT
Thanks.

New Package CVS Request
=======================
Package Name: cpptest
Short Description: A portable and powerful and simple unit testing framework for C++
Owners: rakesh
Branches: F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2009-04-13 11:40:06 EDT
cvs done.
Comment 9 Fedora Update System 2009-04-13 12:07:23 EDT
cpptest-1.1.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cpptest-1.1.0-3.fc9
Comment 10 Rakesh Pandit 2009-04-13 14:13:14 EDT
Imported in Rawhide. Will close for now .. in case problem comes .. will reopen!
Comment 11 Fedora Update System 2009-05-25 17:13:48 EDT
cpptest-1.1.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.